Bug 1413980 - [RFE] CephFS with managed Ceph
Summary: [RFE] CephFS with managed Ceph
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-ceph
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M3
: 11.0 (Ocata)
Assignee: Jan Provaznik
QA Contact: Yogev Rabl
Don Domingo
URL:
Whiteboard:
Depends On:
Blocks: 1457275 1387433 1414595
TreeView+ depends on / blocked
 
Reported: 2017-01-17 13:43 UTC by Paul Grist
Modified: 2017-05-31 12:48 UTC (History)
16 users (show)

Fixed In Version: openstack-tripleo-heat-templates-6.0.0-0.20170120220935.el7ost puppet-ceph-2.2.1-0.20170126233654.b1fa5e4.el7ost puppet-tripleo-6.1.0-0.20170127040716.d427c2a.el7ost
Doc Type: Enhancement
Doc Text:
This release features the necessary puppet modules for deploying CephFS. This allows you to deploy the OpenStack Shared File System service (openstack-manila) with a CephFS back-end through the director.
Clone Of:
: 1414595 (view as bug list)
Environment:
Last Closed: 2017-05-17 19:39:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 405591 None None None 2017-01-17 13:49:03 UTC
OpenStack gerrit 405627 None None None 2017-01-17 13:43:12 UTC
OpenStack gerrit 405999 None None None 2017-01-17 13:47:58 UTC
OpenStack gerrit 410695 None None None 2017-01-17 13:47:19 UTC

Description Paul Grist 2017-01-17 13:43:12 UTC
Provide additional support for CephFS Manila deployment directly with OpenStack.

Set manila cephfs backend if ceph is deployed
https://review.openstack.org/#/c/405627/

Generate a CephX for manila ceph client service
https://review.openstack.org/#/c/410695/

Set ceph key when using manila ceph backend
https://review.openstack.org/#/c/405999/

Comment 1 Paul Grist 2017-01-17 13:48:29 UTC
Updating fields, this is an approved RFE and just splitting it out from https://bugzilla.redhat.com/show_bug.cgi?id=1397363 because there are two independent parts of the work with separate patches.

Comment 6 Paul Grist 2017-03-08 01:19:45 UTC
Just for clarification, CephFS remains a Tech Preview for OSP11.

Comment 7 Yogev Rabl 2017-03-08 15:37:42 UTC
Verified that MDS can be deployed by OSPD 
version: openstack-tripleo-heat-templates-6.0.0-0.20170222195630.46117f4.el7ost.noarch

The deployment of a dedcicated MDS node failed with Bug 1430096

Comment 8 errata-xmlrpc 2017-05-17 19:39:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.